package com.hai.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * api_starbucks_products
 * @author 
 */
/**
 * 
 * 代码由工具生成
 * 
 **/
public class ApiStarbucksProducts implements Serializable {
    /**
     * 主键
     */
    private Long id;

    /**
     * 商品id
     */
    private Long goodsId;

    /**
     * 商品名称
     */
    private String name;

    /**
     * 商品描述
     */
    private String des;

    /**
     * 商品图片
     */
    private String defaultImage;

    /**
     * 杯型（中杯,大杯,超大杯）有指定的杯型，表示可售
     */
    private String cupSize;

    /**
     * 温度
     */
    private String temperature;

    /**
     * 奶油
     */
    private String cream;

    /**
     * 浓缩咖啡
     */
    private String espresso;

    /**
     * 牛奶
     */
    private String milk;

    /**
     * 奶泡
     */
    private String milkBubble;

    /**
     * 分类
     */
    private String categoryName;

    /**
     * 中杯市场价（元）
     */
    private BigDecimal marketTallPrice;

    /**
     * 大杯市场价（元）
     */
    private BigDecimal marketGrandePrice;

    /**
     * 超大杯市场价（元）
     */
    private BigDecimal marketVentiPrice;

    /**
     * 中杯销售价（元）
     */
    private BigDecimal salesTallPrice;

    /**
     * 大杯销售价（元）
     */
    private BigDecimal salesGrandePrice;

    /**
     * 超大杯销售价（元）
     */
    private BigDecimal salesVentiPrice;

    /**
     * 操作人员id
     */
    private Long operatorId;

    /**
     * 操作人员名称
     */
    private String operatorName;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 状态 100 正常 101 禁用
     */
    private Integer status;

    /**
     * ext_1
     */
    private String ext1;

    /**
     * ext_2
     */
    private String ext2;

    /**
     * ext_3
     */
    private String ext3;

    private static final long serialVersionUID = 1L;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getGoodsId() {
        return goodsId;
    }

    public void setGoodsId(Long goodsId) {
        this.goodsId = goodsId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getDes() {
        return des;
    }

    public void setDes(String des) {
        this.des = des;
    }

    public String getDefaultImage() {
        return defaultImage;
    }

    public void setDefaultImage(String defaultImage) {
        this.defaultImage = defaultImage;
    }

    public String getCupSize() {
        return cupSize;
    }

    public void setCupSize(String cupSize) {
        this.cupSize = cupSize;
    }

    public String getTemperature() {
        return temperature;
    }

    public void setTemperature(String temperature) {
        this.temperature = temperature;
    }

    public String getCream() {
        return cream;
    }

    public void setCream(String cream) {
        this.cream = cream;
    }

    public String getEspresso() {
        return espresso;
    }

    public void setEspresso(String espresso) {
        this.espresso = espresso;
    }

    public String getMilk() {
        return milk;
    }

    public void setMilk(String milk) {
        this.milk = milk;
    }

    public String getMilkBubble() {
        return milkBubble;
    }

    public void setMilkBubble(String milkBubble) {
        this.milkBubble = milkBubble;
    }

    public String getCategoryName() {
        return categoryName;
    }

    public void setCategoryName(String categoryName) {
        this.categoryName = categoryName;
    }

    public BigDecimal getMarketTallPrice() {
        return marketTallPrice;
    }

    public void setMarketTallPrice(BigDecimal marketTallPrice) {
        this.marketTallPrice = marketTallPrice;
    }

    public BigDecimal getMarketGrandePrice() {
        return marketGrandePrice;
    }

    public void setMarketGrandePrice(BigDecimal marketGrandePrice) {
        this.marketGrandePrice = marketGrandePrice;
    }

    public BigDecimal getMarketVentiPrice() {
        return marketVentiPrice;
    }

    public void setMarketVentiPrice(BigDecimal marketVentiPrice) {
        this.marketVentiPrice = marketVentiPrice;
    }

    public BigDecimal getSalesTallPrice() {
        return salesTallPrice;
    }

    public void setSalesTallPrice(BigDecimal salesTallPrice) {
        this.salesTallPrice = salesTallPrice;
    }

    public BigDecimal getSalesGrandePrice() {
        return salesGrandePrice;
    }

    public void setSalesGrandePrice(BigDecimal salesGrandePrice) {
        this.salesGrandePrice = salesGrandePrice;
    }

    public BigDecimal getSalesVentiPrice() {
        return salesVentiPrice;
    }

    public void setSalesVentiPrice(BigDecimal salesVentiPrice) {
        this.salesVentiPrice = salesVentiPrice;
    }

    public Long getOperatorId() {
        return operatorId;
    }

    public void setOperatorId(Long operatorId) {
        this.operatorId = operatorId;
    }

    public String getOperatorName() {
        return operatorName;
    }

    public void setOperatorName(String operatorName) {
        this.operatorName = operatorName;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getExt1() {
        return ext1;
    }

    public void setExt1(String ext1) {
        this.ext1 = ext1;
    }

    public String getExt2() {
        return ext2;
    }

    public void setExt2(String ext2) {
        this.ext2 = ext2;
    }

    public String getExt3() {
        return ext3;
    }

    public void setExt3(String ext3) {
        this.ext3 = ext3;
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        ApiStarbucksProducts other = (ApiStarbucksProducts) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getGoodsId() == null ? other.getGoodsId() == null : this.getGoodsId().equals(other.getGoodsId()))
            && (this.getName() == null ? other.getName() == null : this.getName().equals(other.getName()))
            && (this.getDes() == null ? other.getDes() == null : this.getDes().equals(other.getDes()))
            && (this.getDefaultImage() == null ? other.getDefaultImage() == null : this.getDefaultImage().equals(other.getDefaultImage()))
            && (this.getCupSize() == null ? other.getCupSize() == null : this.getCupSize().equals(other.getCupSize()))
            && (this.getTemperature() == null ? other.getTemperature() == null : this.getTemperature().equals(other.getTemperature()))
            && (this.getCream() == null ? other.getCream() == null : this.getCream().equals(other.getCream()))
            && (this.getEspresso() == null ? other.getEspresso() == null : this.getEspresso().equals(other.getEspresso()))
            && (this.getMilk() == null ? other.getMilk() == null : this.getMilk().equals(other.getMilk()))
            && (this.getMilkBubble() == null ? other.getMilkBubble() == null : this.getMilkBubble().equals(other.getMilkBubble()))
            && (this.getCategoryName() == null ? other.getCategoryName() == null : this.getCategoryName().equals(other.getCategoryName()))
            && (this.getMarketTallPrice() == null ? other.getMarketTallPrice() == null : this.getMarketTallPrice().equals(other.getMarketTallPrice()))
            && (this.getMarketGrandePrice() == null ? other.getMarketGrandePrice() == null : this.getMarketGrandePrice().equals(other.getMarketGrandePrice()))
            && (this.getMarketVentiPrice() == null ? other.getMarketVentiPrice() == null : this.getMarketVentiPrice().equals(other.getMarketVentiPrice()))
            && (this.getSalesTallPrice() == null ? other.getSalesTallPrice() == null : this.getSalesTallPrice().equals(other.getSalesTallPrice()))
            && (this.getSalesGrandePrice() == null ? other.getSalesGrandePrice() == null : this.getSalesGrandePrice().equals(other.getSalesGrandePrice()))
            && (this.getSalesVentiPrice() == null ? other.getSalesVentiPrice() == null : this.getSalesVentiPrice().equals(other.getSalesVentiPrice()))
            && (this.getOperatorId() == null ? other.getOperatorId() == null : this.getOperatorId().equals(other.getOperatorId()))
            && (this.getOperatorName() == null ? other.getOperatorName() == null : this.getOperatorName().equals(other.getOperatorName()))
            && (this.getCreateTime() == null ? other.getCreateTime() == null : this.getCreateTime().equals(other.getCreateTime()))
            && (this.getUpdateTime() == null ? other.getUpdateTime() == null : this.getUpdateTime().equals(other.getUpdateTime()))
            && (this.getStatus() == null ? other.getStatus() == null : this.getStatus().equals(other.getStatus()))
            && (this.getExt1() == null ? other.getExt1() == null : this.getExt1().equals(other.getExt1()))
            && (this.getExt2() == null ? other.getExt2() == null : this.getExt2().equals(other.getExt2()))
            && (this.getExt3() == null ? other.getExt3() == null : this.getExt3().equals(other.getExt3()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getGoodsId() == null) ? 0 : getGoodsId().hashCode());
        result = prime * result + ((getName() == null) ? 0 : getName().hashCode());
        result = prime * result + ((getDes() == null) ? 0 : getDes().hashCode());
        result = prime * result + ((getDefaultImage() == null) ? 0 : getDefaultImage().hashCode());
        result = prime * result + ((getCupSize() == null) ? 0 : getCupSize().hashCode());
        result = prime * result + ((getTemperature() == null) ? 0 : getTemperature().hashCode());
        result = prime * result + ((getCream() == null) ? 0 : getCream().hashCode());
        result = prime * result + ((getEspresso() == null) ? 0 : getEspresso().hashCode());
        result = prime * result + ((getMilk() == null) ? 0 : getMilk().hashCode());
        result = prime * result + ((getMilkBubble() == null) ? 0 : getMilkBubble().hashCode());
        result = prime * result + ((getCategoryName() == null) ? 0 : getCategoryName().hashCode());
        result = prime * result + ((getMarketTallPrice() == null) ? 0 : getMarketTallPrice().hashCode());
        result = prime * result + ((getMarketGrandePrice() == null) ? 0 : getMarketGrandePrice().hashCode());
        result = prime * result + ((getMarketVentiPrice() == null) ? 0 : getMarketVentiPrice().hashCode());
        result = prime * result + ((getSalesTallPrice() == null) ? 0 : getSalesTallPrice().hashCode());
        result = prime * result + ((getSalesGrandePrice() == null) ? 0 : getSalesGrandePrice().hashCode());
        result = prime * result + ((getSalesVentiPrice() == null) ? 0 : getSalesVentiPrice().hashCode());
        result = prime * result + ((getOperatorId() == null) ? 0 : getOperatorId().hashCode());
        result = prime * result + ((getOperatorName() == null) ? 0 : getOperatorName().hashCode());
        result = prime * result + ((getCreateTime() == null) ? 0 : getCreateTime().hashCode());
        result = prime * result + ((getUpdateTime() == null) ? 0 : getUpdateTime().hashCode());
        result = prime * result + ((getStatus() == null) ? 0 : getStatus().hashCode());
        result = prime * result + ((getExt1() == null) ? 0 : getExt1().hashCode());
        result = prime * result + ((getExt2() == null) ? 0 : getExt2().hashCode());
        result = prime * result + ((getExt3() == null) ? 0 : getExt3().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", goodsId=").append(goodsId);
        sb.append(", name=").append(name);
        sb.append(", des=").append(des);
        sb.append(", defaultImage=").append(defaultImage);
        sb.append(", cupSize=").append(cupSize);
        sb.append(", temperature=").append(temperature);
        sb.append(", cream=").append(cream);
        sb.append(", espresso=").append(espresso);
        sb.append(", milk=").append(milk);
        sb.append(", milkBubble=").append(milkBubble);
        sb.append(", categoryName=").append(categoryName);
        sb.append(", marketTallPrice=").append(marketTallPrice);
        sb.append(", marketGrandePrice=").append(marketGrandePrice);
        sb.append(", marketVentiPrice=").append(marketVentiPrice);
        sb.append(", salesTallPrice=").append(salesTallPrice);
        sb.append(", salesGrandePrice=").append(salesGrandePrice);
        sb.append(", salesVentiPrice=").append(salesVentiPrice);
        sb.append(", operatorId=").append(operatorId);
        sb.append(", operatorName=").append(operatorName);
        sb.append(", createTime=").append(createTime);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", status=").append(status);
        sb.append(", ext1=").append(ext1);
        sb.append(", ext2=").append(ext2);
        sb.append(", ext3=").append(ext3);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}